> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Coding Variants Phenotypes

> Retrieve phenotypes associated with the query coding variant.

At least one of these fields is required: coding_variant_name, hgvsp, uniprot_name, gene_name, amino_acid_position, transcript_id, method, files_fileset.

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.

**Examples by method**

These examples are grouped by method; use the `method` filter to return data from a specific method.

**DUAL-IPA:**

**Single result**

- coding_variant_name = ACSF3_ENST00000317447_p.Ala17Pro_c.49G-C
- method = DUAL-IPA

**Group results**

- gene_name = ACSF3
- method = DUAL-IPA

**ESM-1v:**

**Single result**

- coding_variant_name = A1BG_ENST00000263100_p.Ala118Asn_c.352_353delinsAA
- method = ESM-1v

**Group results**

- gene_name = A1BG
- method = ESM-1v

**MutPred2:**

**Single result**

- coding_variant_name = A1BG_ENST00000263100_p.Ala118Arg_c.352_353delinsCG
- method = MutPred2

**Group results**

- gene_name = A1BG
- method = MutPred2

**SGE:**

**Single result**

- coding_variant_name = BRCA2_ENST00000380152__NC_000013.11:g.32319075A-C_splicing
- method = SGE

**Group results**

- gene_name = BRCA2
- method = SGE

**VAMP-seq:**

**Single result**

- coding_variant_name = CYP2C19_ENST00000371321_p.Ala103=_c.309T-G
- method = VAMP-seq

**Group results**

- gene_name = CYP2C19
- method = VAMP-seq



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /coding-variants/phenotypes
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /coding-variants/phenotypes:
    get:
      summary: Coding Variants Phenotypes
      description: >-
        Retrieve phenotypes associated with the query coding variant.


        At least one of these fields is required: coding_variant_name, hgvsp,
        uniprot_name, gene_name, amino_acid_position, transcript_id, method,
        files_fileset.


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.


        **Examples by method**


        These examples are grouped by method; use the `method` filter to return
        data from a specific method.


        **DUAL-IPA:**


        **Single result**


        - coding_variant_name = ACSF3_ENST00000317447_p.Ala17Pro_c.49G-C

        - method = DUAL-IPA


        **Group results**


        - gene_name = ACSF3

        - method = DUAL-IPA


        **ESM-1v:**


        **Single result**


        - coding_variant_name =
        A1BG_ENST00000263100_p.Ala118Asn_c.352_353delinsAA

        - method = ESM-1v


        **Group results**


        - gene_name = A1BG

        - method = ESM-1v


        **MutPred2:**


        **Single result**


        - coding_variant_name =
        A1BG_ENST00000263100_p.Ala118Arg_c.352_353delinsCG

        - method = MutPred2


        **Group results**


        - gene_name = A1BG

        - method = MutPred2


        **SGE:**


        **Single result**


        - coding_variant_name =
        BRCA2_ENST00000380152__NC_000013.11:g.32319075A-C_splicing

        - method = SGE


        **Group results**


        - gene_name = BRCA2

        - method = SGE


        **VAMP-seq:**


        **Single result**


        - coding_variant_name = CYP2C19_ENST00000371321_p.Ala103=_c.309T-G

        - method = VAMP-seq


        **Group results**


        - gene_name = CYP2C19

        - method = VAMP-seq
      operationId: phenotypesFromCodingVariants
      parameters:
        - name: coding_variant_name
          in: query
          required: false
          schema:
            type: string
        - name: hgvsp
          in: query
          required: false
          schema:
            type: string
        - name: uniprot_name
          in: query
          required: false
          schema:
            type: string
        - name: gene_name
          in: query
          required: false
          schema:
            type: string
        - name: amino_acid_position
          in: query
          required: false
          schema:
            type: number
        - name: transcript_id
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - DUAL-IPA
              - ESM-1v
              - MutPred2
              - SGE
              - VAMP-seq
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    coding_variant:
                      type: object
                      properties:
                        _id:
                          type: string
                        aapos:
                          type: number
                          nullable: true
                        hgvsp:
                          type: string
                          nullable: true
                        protein_name:
                          type: string
                          nullable: true
                        gene_name:
                          type: string
                          nullable: true
                        ref:
                          type: string
                          nullable: true
                        alt:
                          type: string
                          nullable: true
                      required:
                        - _id
                      additionalProperties: false
                      nullable: true
                    phenotype:
                      type: object
                      properties:
                        phenotype_id:
                          type: string
                        phenotype_name:
                          type: string
                      required:
                        - phenotype_id
                        - phenotype_name
                      additionalProperties: false
                      nullable: true
                    score:
                      type: number
                      nullable: true
                    method:
                      type: string
                      nullable: true
                    class:
                      type: string
                      nullable: true
                    label:
                      type: string
                      nullable: true
                    files_filesets:
                      type: string
                      nullable: true
                    source:
                      type: string
                    source_url:
                      type: string
                    variant:
                      type: object
                      properties:
                        chr:
                          type: string
                        pos:
                          type: number
                        ref:
                          type: string
                        alt:
                          type: string
                        rsid:
                          type: array
                          items:
                            type: string
                          nullable: true
                        spdi:
                          type: string
                          nullable: true
                        hgvs:
                          type: string
                          nullable: true
                        ca_id:
                          type: string
                          nullable: true
                        _id:
                          type: string
                      required:
                        - chr
                        - pos
                        - ref
                        - alt
                      additionalProperties: false
                      nullable: true
                  required:
                    - score
                    - source
                    - source_url
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````